Athena
ProvisionLocalDatabases

List local cluster PostgreSQL databases for a registered server client

GET
/admin/provision/local/databases

Query Parameters

client_name*string

Registered client connected to the target Postgres server.

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Response Body

application/json

curl -X GET "https://athena-cluster.com/admin/provision/local/databases?client_name=string" \  -H "apikey: string"
{
  "client_name": "string",
  "all_databases": [
    "string"
  ],
  "athena_managed_databases": [
    {
      "client_name": "string",
      "database_name": "string",
      "source": "string",
      "is_active": true,
      "is_frozen": true
    }
  ]
}
Empty
Empty